LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 03-06-2010, 07:56 AM   #1
ack_iix
Member
 
Registered: Jan 2009
Location: Tangerang, Indonesia
Distribution: Slackware64-current
Posts: 61

Rep: Reputation: 17
Slackware64-current and ATi Proprietary Driver


Hello,

Yesterday I update my Slackware64-current installation to the latest update, kernel is working fine and the system is able to boot normally, but my ATi driver (version 10.2) refuse to install, even the installer option to generate Slackware package does not work anymore.

Is this because of the update to bash 4.1.2 in current tree? Here's the error message:

Code:
# sudo ./ati-driver-installer-10-2-x86.x86_64.run --buildpkg Slackware/All
Created directory fglrx-install.bDeiTR
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.702
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Slackware/All
./packages/Slackware/ati-packager.sh: line 56: unexpected EOF while looking for matching `]'
./packages/Slackware/ati-packager.sh: line 406: syntax error: unexpected end of file
./packages/Slackware/ati-packager.sh: line 56: unexpected EOF while looking for matching `]'
./packages/Slackware/ati-packager.sh: line 406: syntax error: unexpected end of file
Error: Distro Version entered incorrectly or not supported, use --listpkg to identify valid distro versions
Removing temporary directory: fglrx-install.bDeiTR
My Graphic adapter (Radeon HD 5750) cannot use the radeonhd opensource driver at the moment, as it is not supported yet. Anybody has the same problem as me? Please share your experience in using -current and ATi driver.
 
Old 03-06-2010, 08:13 AM   #2
sycamorex
LQ Veteran
 
Registered: Nov 2005
Location: London
Distribution: Slackware64-current
Posts: 5,581
Blog Entries: 1

Rep: Reputation: 1033Reputation: 1033Reputation: 1033Reputation: 1033Reputation: 1033Reputation: 1033Reputation: 1033Reputation: 1033
What error do you get when you type startx?
 
Old 03-06-2010, 09:49 AM   #3
adamk75
Senior Member
 
Registered: May 2006
Posts: 3,091

Rep: Reputation: 397Reputation: 397Reputation: 397Reputation: 397
Even if you get it to install, it will not work. Neither kernel 2.6.33 nor X server 1.7.* are supported. There are patches for 2.6.33 mentioned here: http://www.linuxquestions.org/questi...ml#post3884129

That that still doesn't solve the X server 1.7.* problem. Hopefully a new version of catalyst will be released this month or next month with the necessary support.

'radeon' from git does support 2D modesetting in UMS and KMS, but there is no 2D or 3D acceleration.

Adam
 
Old 03-06-2010, 10:54 AM   #4
ack_iix
Member
 
Registered: Jan 2009
Location: Tangerang, Indonesia
Distribution: Slackware64-current
Posts: 61

Original Poster
Rep: Reputation: 17
I just got the driver package build on kernel 2.6.33 (using the patch), I need to extract the driver package and edit the Slackware build script manually (remove a '[' in line 56), but X will not start even the fglrx module is loaded. I will try to downgrade xorg-server to version 1.7.4, I just that hope that works.

Here's the error message when starting X using fglrx driver:
Code:
Current version of pixman: 0.16.6
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Mar  6 21:54:34 2010
(==) Using config file: "/etc/X11/xorg.conf"
dlopen: /usr/lib64/xorg/modules/drivers/fglrx_drv.so: undefined symbol: UpdateSpriteForScreen
(EE) Failed to load /usr/lib64/xorg/modules/drivers/fglrx_drv.so
(EE) Failed to load module "fglrx" (loader failed, 7)
(EE) No drivers available.
And here's the error message when starting X using radeonhd driver:
Code:
Current version of pixman: 0.16.6
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Mar  6 21:55:44 2010
(==) Using config file: "/etc/X11/xorg.conf"
dlopen: /usr/lib64/xorg/modules/drivers/radeonhd_drv.so: undefined symbol: resVgaShared
(EE) Failed to load /usr/lib64/xorg/modules/drivers/radeonhd_drv.so
(EE) Failed to load module "radeonhd" (loader failed, 7)
(EE) No drivers available.
The strange things is on the previous radeonhd version I did not get the undefined symbol error, is this means that my card is still unsupported by the open source radeonhd driver?

I'm using vesa driver at the moment, will the radeonhd driver from git works with my Radeon HD 5750 on xorg-server 1.7.5?

Thanks.
 
Old 03-06-2010, 11:05 AM   #5
amani
Senior Member
 
Registered: Jul 2006
Location: Kolkata, India
Distribution: 64-bit GNU/Linux, Kubuntu64, Fedora QA, Slackware,
Posts: 2,758

Rep: Reputation: Disabled
Version-6.12.99 says

radeon is an Xorg driver for ATI RADEON based video cards with the following features:

Full support for 8, 15, 16 and 24 bit pixel depths;
RandR 1.2 and RandR 1.3 support;
TV-out support (only on R/RV/RS1xx, R/RV/RS2xx, R/RV/RS3xx. Experimental support on R/RV5xx, R/RV6xx, and
R/RV7xx through the ATOMTvOut option);
Full EXA 2D acceleration;
Full XAA 2D acceleration (only on R/RV/RS1xx, R/RV/RS2xx, R/RV/RS3xx, R/RV/RS4xx, R/RV5xx, RS6xx. XAA Render
acceleration supported only on R/RV100, R/RV/RS2xx and RS3xx);
Textured XVideo acceleration including anti-tearing support (Bicubic filtering only available on R/RV3xx,
R/RV/RS4xx, R/RV5xx, and RS6xx);
Overlay XVideo acceleration (only on R/RV/RS1xx, R/RV/RS2xx, R/RV/RS3xx, R/RV/RS4xx);
3D acceleration (not supported on R/RV6xx and R/RV/RS7xx);

________________________________
 
Old 03-06-2010, 01:09 PM   #6
adamk75
Senior Member
 
Registered: May 2006
Posts: 3,091

Rep: Reputation: 397Reputation: 397Reputation: 397Reputation: 397
Quote:
Originally Posted by ack_iix View Post
I'm using vesa driver at the moment, will the radeonhd driver from git works with my Radeon HD 5750 on xorg-server 1.7.5?

Thanks.
radeonhd from git will not work with the HD5750. radeon from git will, however.

Adam
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
latest NVIDIA 64bit driver Slackware64-current mudherm Slackware 4 08-16-2009 04:57 AM
Slackware64-current ATI, and few more proprietary questions dolphin77 Slackware 15 06-10-2009 10:15 AM
Slackware64-current ATI, and few more proprietary questions dolphin77 Linux - Newbie 1 05-22-2009 07:57 PM


All times are GMT -5. The time now is 07:04 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration